package com.cim.idm.service;

import com.alibaba.fastjson.JSONObject;
import com.cim.idm.model.CostCenter;
import com.cim.idm.model.MaterialPacking;

import java.util.List;
import java.util.Map;

public interface CostCenterService {
    List<CostCenter> getCostCenter();
    List<Map<String, Object>> getUserInfo();

    void updateCareerAssistanceNew(JSONObject in);

    /**
     * 更新主表状态为完成
     * @param mainId
     */
    void updateCheckMain(String mainId);

    void editMaterialPackingName(MaterialPacking materialPacking);
}
